image: ruby:2.6

services:
  - name: postgres:11
    alias: db

# variables:
#   POSTGRES_DB: 10-things-to-know-about-gitlab-ci_test
#   POSTGRES_USER: 10-things-to-know-about-gitlab-ci
#   POSTGRES_PASSWORD: ""

rspec:
  stage: test
  before_script:
    - apt-get update -qq && apt-get install -y -qq postgresql-client nodejs
    - gem install bundler
    - bundle install
    - RAILS_ENV=test bundle exec rake db:create db:schema:load
  script:
    - RAILS_ENV=test rspec spec --format RspecJunitFormatter --out rspec.xml
